Theme
Create Task minimax/video-01
POST
https://www.kkiai.com/replicate/v1/models/minimax/video-01/predictions
Official documentation: https://replicate.com/minimax/video-01
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
input | object | Optional | |
└ prompt | string | Required | |
└ prompt_optimizer | boolean | Optional | Use prompt optimizer. Default value: true |
Request Example
json
{
"input": {
"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
"prompt_optimizer": true
}
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/minimax/video-01/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
"prompt_optimizer": true
}
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
model | string | Required | |
version | string | Required | |
input | object | Required | |
└ prompt | string | Required | |
└ prompt_optimizer | boolean | Required | |
logs | string | Required | |
output | null | Required | |
data_removed | boolean | Required | |
error | null | Required | |
status | string | Required | |
created_at | string | Required | |
urls | object | Required | |
└ cancel | string | Required | |
└ get | string | Required | |
└ stream | string | Required | |
└ web | string | Required |
Response Example
json
{
"id": "ree8dymk95rmc0crb3yt2pqhr4",
"model": "minimax/video-01",
"version": "hidden",
"input": {
"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
"prompt_optimizer": true
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-07-30T01:41:10.089Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/ree8dymk95rmc0crb3yt2pqhr4/cancel",
"get": "https://api.replicate.com/v1/predictions/ree8dymk95rmc0crb3yt2pqhr4",
"stream": "https://stream.replicate.com/v1/files/bcwr-wykptlq2o5ws5ukylao2u654xfxv6aaaekgxijlr7aibzkftt7bq",
"web": "https://replicate.com/p/ree8dymk95rmc0crb3yt2pqhr4"
}
}